Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.style
Interface LabelPlacement

    public interface LabelPlacement

Encapsulates the label placement attributes that can be applied to any text Graphic.

Version:
  0.2

Field Summary
`static String` | `LABEL` Label attribute name.
`static String` | `ROTATION` Label rotation attribute name.
`static String` | `SHOW_LABEL` Show label attribute name.
`static String` | `XANCHOR` Label X anchor attribute name.
`static String` | `XDISPLACEMENT` Label X displacementattribute name.
`static String` | `YANCHOR` Label Y anchor attribute name.
`static String` | `YDISPLACEMENT` Label Y displacement attribute name.

Method Summary
`String` | `getLabel()` Returns the label.
`float` | `getRotation()` Returns the label rotation.
`boolean` | `getShowLabel()` Returns the show label.
`XAnchor` | `getXAnchor()` Returns the label XAnchor.
`float` | `getXDisplacement()` Returns the label X displacement.
`YAnchor` | `getYAnchor()` Returns the label YAnchor.
`float` | `getYDisplacement()` Returns the label Y displacement.
`boolean` | `isLabelSet()` Returns whether the label has been set.
`boolean` | `isRotationSet()` Returns whether the label rotation has been set.
`boolean` | `isShowLabelSet()` Returns whether the show label has been set.
`boolean` | `isXAnchorSet()` Returns whether the label XAnchor has been set.
`boolean` | `isXDisplacementSet()` Returns whether the label X displacement has been set.
`boolean` | `isYAnchorSet()` Returns whether the label YAnchor has been set.
`boolean` | `isYDisplacementSet()` Returns whether the label Y displacement has been set.
`void` | `setLabel(String label)` Sets the label.
`void` | `setLabelSet(boolean flag)` Sets the fact that the label has been set.
`void` | `setRotation(float labelRotation)` Sets the label rotation.
`void` | `setRotationSet(boolean flag)` Sets the fact that the label rotation has been set.
`void` | `setShowLabel(boolean showLabel)` Sets the show label.
`void` | `setShowLabelSet(boolean flag)` Sets the fact that the show label has been set.
`void` | `setXAnchor(XAnchor labelXAnchor)` Sets the label XAnchor.
`void` | `setXAnchorSet(boolean flag)` Sets the fact that the label XAnchor has been set.
`void` | `setXDisplacement(float labelXDisplacement)` Sets the label X displacement.
`void` | `setXDisplacementSet(boolean flag)` Sets the fact that the label X displacement has been set.
`void` | `setYAnchor(YAnchor labelYAnchor)` Sets the label YAnchor.
`void` | `setYAnchorSet(boolean flag)` Sets the fact that the label YAnchor has been set.
`void` | `setYDisplacement(float labelYDisplacement)` Sets the label Y displacement.
`void` | `setYDisplacementSet(boolean flag)` Sets the fact that the label Y displacement has been set.

Field Detail

### LABEL

    static final String LABEL

  Label attribute name.

  See Also:
    Constant Field Values

### ROTATION

    static final String ROTATION

  Label rotation attribute name.

  See Also:
    Constant Field Values

### XANCHOR

    static final String XANCHOR

  Label X anchor attribute name.

  See Also:
    Constant Field Values

### XDISPLACEMENT

    static final String XDISPLACEMENT

  Label X displacementattribute name.

  See Also:
    Constant Field Values

### YANCHOR

    static final String YANCHOR

  Label Y anchor attribute name.

  See Also:
    Constant Field Values

### YDISPLACEMENT

    static final String YDISPLACEMENT

  Label Y displacement attribute name.

  See Also:
    Constant Field Values

### SHOW_LABEL

    static final String SHOW_LABEL

  Show label attribute name.

  See Also:
    Constant Field Values

Method Detail

### getLabel

    String getLabel()

  Returns the label.

  Returns:
    the label.

### isLabelSet

    boolean isLabelSet()

  Returns whether the label has been set.

  Returns:
    true if the label has been set, false otherwise.

### setLabel

    void setLabel(String label)

  Sets the label.

  Parameters:
    `label` - the label.

### setLabelSet

    void setLabelSet(boolean flag)

  Sets the fact that the label has been set.

  Parameters:
    `flag` - true if the label has been set, false otherwise.

### getRotation

    float getRotation()

  Returns the label rotation.

  Returns:
    the label rotation.

### isRotationSet

    boolean isRotationSet()

  Returns whether the label rotation has been set.

  Returns:
    true if the label rotation has been set, false otherwise.

### setRotation

    void setRotation(float labelRotation)

  Sets the label rotation.

  Parameters:
    `labelRotation` - the label rotation.

### setRotationSet

    void setRotationSet(boolean flag)

  Sets the fact that the label rotation has been set.

  Parameters:
    `flag` - true if the label rotation has been set, false otherwise.

### getXAnchor

    XAnchor getXAnchor()

  Returns the label XAnchor.

  Returns:
    the label XAnchor.

### isXAnchorSet

    boolean isXAnchorSet()

  Returns whether the label XAnchor has been set.

  Returns:
    true if the label XAnchor has been set, false otherwise.

### setXAnchor

    void setXAnchor(XAnchor labelXAnchor)

  Sets the label XAnchor.

  Parameters:
    `labelXAnchor` - the label XAnchor.

### setXAnchorSet

    void setXAnchorSet(boolean flag)

  Sets the fact that the label XAnchor has been set.

  Parameters:
    `flag` - true if the label XAnchor has been set, false otherwise.

### getXDisplacement

    float getXDisplacement()

  Returns the label X displacement.

  Returns:
    the label X displacement.

### isXDisplacementSet

    boolean isXDisplacementSet()

  Returns whether the label X displacement has been set.

  Returns:
    true if the label X displacement has been set, false otherwise.

### setXDisplacement

    void setXDisplacement(float labelXDisplacement)

  Sets the label X displacement.

  Parameters:
    `labelXDisplacement` - the label X displacement.

### setXDisplacementSet

    void setXDisplacementSet(boolean flag)

  Sets the fact that the label X displacement has been set.

  Parameters:
    `flag` - true if the label X displacement has been set, false otherwise.

### getYAnchor

    YAnchor getYAnchor()

  Returns the label YAnchor.

  Returns:
    the label YAnchor.

### isYAnchorSet

    boolean isYAnchorSet()

  Returns whether the label YAnchor has been set.

  Returns:
    true if the label YAnchor has been set, false otherwise.

### setYAnchor

    void setYAnchor(YAnchor labelYAnchor)

  Sets the label YAnchor.

  Parameters:
    `labelYAnchor` - the label YAnchor.

### setYAnchorSet

    void setYAnchorSet(boolean flag)

  Sets the fact that the label YAnchor has been set.

  Parameters:
    `flag` - true if the label YAnchor has been set, false otherwise.

### getYDisplacement

    float getYDisplacement()

  Returns the label Y displacement.

  Returns:
    the label Y displacement.

### isYDisplacementSet

    boolean isYDisplacementSet()

  Returns whether the label Y displacement has been set.

  Returns:
    true if the label Y displacement has been set, false otherwise.

### setYDisplacement

    void setYDisplacement(float labelYDisplacement)

  Sets the label Y displacement.

  Parameters:
    `labelYDisplacement` - the label Y displacement.

### setYDisplacementSet

    void setYDisplacementSet(boolean flag)

  Sets the fact that the label Y displacement has been set.

  Parameters:
    `flag` - true if the label Y displacement has been set, false otherwise.

### getShowLabel

    boolean getShowLabel()

  Returns the show label.

  Returns:
    the show label.

### isShowLabelSet

    boolean isShowLabelSet()

  Returns whether the show label has been set.

  Returns:
    true if the show label has been set, false otherwise.

### setShowLabel

    void setShowLabel(boolean showLabel)

  Sets the show label.

  Parameters:
    `showLabel` - the show label.

### setShowLabelSet

    void setShowLabelSet(boolean flag)

  Sets the fact that the show label has been set.

  Parameters:
    `flag` - true if the show label has been set, false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.